import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:voip_sendbird_plugin/voip_sendbird_plugin.dart';

void main() {
  const MethodChannel channel = MethodChannel('voipSendbirdPlugin');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await VoipSendbirdPlugin.platformVersion, '42');
  });
}
